<?
if(isset($_GET['level_all']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_prud` WHERE `id` = '".intval($_GET['level_all'])."' AND `id_user` = '$ku[id]' AND `id_fish` != '0' AND `level` < '20'"),0)!=0)
{
$prud=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_prud` WHERE `id` = '".intval($_GET['level_all'])."' AND `id_user` = '$ku[id]' AND `id_fish` != '0' AND `level` < '20'"));
$prud['next_level']=$prud['level']+1;
$money_all_levels=0;
for($kp=$prud['next_level'];$kp<=20;$kp++)
{
$money_all_levels=$money_all_levels+$kp;
}
$money_all_levels=$money_all_levels*1000;
if($ku['money']>=$money_all_levels)
{
mysql_query("UPDATE `kolhoz_user` SET `money` = '".($ku['money']-$money_all_levels)."' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_prud` SET `level` = '20' WHERE `id` = '$prud[id]'");
}
else $_SESSION['no_money']=$ku['money']-$money_all_levels;
header("Location:?myprud&moderate&".passgen());
exit;
}
?>